Bug 581769 - [NV4c] nVidia Corporation GeForce 6150SE nForce 430 (rev a2) fails with compiz
[NV4c] nVidia Corporation GeForce 6150SE nForce 430 (rev a2) fails with compiz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 03:55 EDT by Arenas Belon, Carlo Marcelo
Modified: 2013-01-22 15:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:37:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server config file (/etc/X11/xorg.conf) (620 bytes, text/plain)
2011-03-13 01:44 EST, Arenas Belon, Carlo Marcelo
no flags Details
X server log file (/var/log/Xorg.*.log) (74.65 KB, text/plain)
2011-03-13 01:49 EST, Arenas Belon, Carlo Marcelo
no flags Details
output of the dmesg command (96.73 KB, text/plain)
2011-03-13 01:50 EST, Arenas Belon, Carlo Marcelo
no flags Details
system log (/var/log/messages) (147.33 KB, text/plain)
2011-03-13 01:55 EST, Arenas Belon, Carlo Marcelo
no flags Details
fedora 15 beta with all updates installed running a gnome classic (compiz enabled) desktop (215.52 KB, image/png)
2011-05-08 11:27 EDT, Arenas Belon, Carlo Marcelo
no flags Details

  None (edit)
Description Arenas Belon, Carlo Marcelo 2010-04-13 03:55:54 EDT
Description of problem:
fail to initialize GPU with 3D effects using compiz

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-2.20100218git2964702.fc13.i686

How reproducible:
Always

Steps to Reproduce:
1. try to enable compiz as detailed in https://fedoraproject.org/wiki/QA:Testcase_nouveau_glx
2.
3.
  
Actual results:
garbled screen

Expected results:
compiz enabled

Additional info:
screenshot with the garbled output after compiz loads shown in :

  http://pictures.sprintpcs.com/?mivt=hE9r5uhq8kksNUhhzo3h&shareName=MMS

display recovers after a while when the compiz manager initialization is aborted due to lack of input.

nothing of interest on any of the logs except from the following messages
while GPU is being initialized (sometimes it is FIFO 3/4 depending of runlevel)

[drm] nouveau 0000:00:0d.0: Allocating FIFO number 1
[drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 1
[drm] nouveau 0000:00:0d.0: Allocating FIFO number 2
[drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 2

and the fact that there is consistently a circular lock detected as shown in BUG572220
Comment 1 Ben Skeggs 2010-06-01 22:13:40 EDT
How's things with all updates installed after the F13 release?
Comment 2 Arenas Belon, Carlo Marcelo 2010-06-03 01:15:57 EDT
(In reply to comment #1)
> How's things with all updates installed after the F13 release?    

still failing with xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.i686
Comment 3 Ben Skeggs 2010-06-03 01:24:00 EDT
Did you update kernel/libdrm/mesa also?
Comment 4 Arenas Belon, Carlo Marcelo 2010-06-06 04:45:00 EDT
(In reply to comment #3)
> Did you update kernel/libdrm/mesa also?    

All updates :

kernel-2.6.33.5-112.fc13.i686
mesa-dri-drivers-experimental-7.8.1-6.fc13.i686
libdrm-2.4.20-1.fc13.i686

And running on the last kernel as well, in case that wasn't obvious :

$ uname -a
Linux inspiron.sajinet.com.pe 2.6.33.5-112.fc13.i686 #1 SMP Thu May 27 03:11:56 UTC 2010 i686 i686 i386 GNU/Linux
Comment 5 Gideon Mayhak 2010-12-08 20:38:10 EST
I'm seeing this exact same issue in F14 64-bit:

nVidia Corporation C61 [GeForce 6150SE nForce 430] [10de:03d0] (rev a2)

kernel-2.6.35.9-64.fc14.x86_64
libdrm-2.4.22-1.fc14.x86_64
mesa-dri-drivers-experimental-0:7.9-2.fc14.x86_64
xorg-x11-drv-nouveau-0.0.16-11.20100826git065576d.fc14.x86_64

When I try to enable Compiz under Desktop Effects, I get a garbled screen until it reverts back to normal.  The mouse cursor remains clear and normal, and changes in accordance with whatever it is technical hovering over.

I noticed there are some newer nouveau and dri packages in updates-testing, but I hesitate to install them if their changes are unrelated.  Is there any reason those newer packages might help here?  If so, I'll gladly try them.

I thought my laptop was relatively similar (nVidia Corporation MCP51 GeForce Go 6100), but I guess not (at least, not enough).  It worked great with mesa-dri-drivers-experimental and Compiz last time I tried (although, that might have been with F13, but it still didn't work on the desktop at the time).  Please let me know if any information I could provide from either system would be helpful in determining why it doesn't work on the 6150.
Comment 6 Luigi Pardey 2011-01-07 15:39:02 EST
Gideon, if you want, you could try to install the packages in the updates-testing repository to see whether the issue is being solved in new releases or it still shows up. 

I'll change the version to 14 as in your system the issue repeats.
I will try to reproduce the bug (my video card however is a GeForce 310M) to check whether the bug happens or if it is just a problem with the 6150 chipsets.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Gideon Mayhak 2011-01-10 21:48:36 EST
I installed the xorg-x11-drv-nouveau in updates-testing, as well as the latest mesa-dri-drivers-experimental, and I experience the same behavior.

Ben, have you had a chance to glance at this yet?  Do you have access to this hardware?  If not, what can I give you in the way of logs and program output?
Comment 8 Andre Robatino 2011-02-03 18:12:51 EST
I have a GeForce 6150SE nForce 430, and experience the same garbled display with mesa-drivers-dri-experimental _without_desktop effects (running glxgears). This happened with both F13 and F14. After confirming that the experimental support doesn't work, I install the proprietary nVidia driver from RPM Fusion, which works fine.

Smolt URL: http://www.smolts.org/client/show/pub_e6c78f7d-d38c-47df-8f06-47696b5c01b3
Comment 9 Steven Usdansky 2011-02-14 13:55:10 EST
Haven't tried F13, but I too get the garbling in F14 w/ compiz on my dekstop PC with the 
GeForce 6150SE nForce 430. 

mesa-dri-drivers-experimental-7.9-5.fc14.i686
xorg-x11-drv-nouveau-0.0.16-11.20100826git065576d.fc14.i686
libdrm-2.4.22-1.fc14.i686
kernel-2.6.35.11-83.fc14.i686
Comment 10 Steven Usdansky 2011-02-15 20:46:51 EST
Just loaded last night's F15 nightly compose (LXDE version) and updated to current. Not only doesn't compiz work, but specifying the nouveau nouveau in the xorg.conf file (or running without an xorg.conf file) results in the same garbled screen, not only with compiz, but also with openbox. Running with the fbdev driver seems to work without any (obvious) problems.

mesa-dri-filesystem-7.10-0.26.fc15.x86_64
xorg-x11-drv-nouveau-0.0.16-18.20110117git38e8809.fc15.x86_64libdrm-2.4.24-0.2.20110106.fc15.x86_64
kernel-2.6.38-0.rc4.git7.1.fc15.x86_64
Comment 11 Gideon Mayhak 2011-02-26 21:49:59 EST
Well, it looks like it's working with the graphics test week image (gfx_test_week_20110221_x86-64.iso).  I was able to boot up and log in without issue, glxgears looked normal, windows had drop shadows, and glxinfo said I had direct rendering.  I guess I'll let others chime in, but I think this is at least fixed in F15.
Comment 12 Matěj Cepl 2011-03-12 19:58:47 EST
Sorry for missing this bug for too long, but for anybody who can still reproduce the issue, please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 13 Arenas Belon, Carlo Marcelo 2011-03-13 01:27:59 EST
(In reply to comment #11)
> Well, it looks like it's working with the graphics test week image
> (gfx_test_week_20110221_x86-64.iso).  I was able to boot up and log in without
> issue, glxgears looked normal, windows had drop shadows, and glxinfo said I had
> direct rendering.  I guess I'll let others chime in, but I think this is at
> least fixed in F15.

I haven't had that much luck with f15 as you did.  I had crashes and wasn't able
to work with accelerated video eventhough I had to admit that at least didn't saw the garbled output when using the x86-64 test iso either as you reported, but can still reproduce the problem with fedora 15 alpha install CD.
Comment 14 Arenas Belon, Carlo Marcelo 2011-03-13 01:44:41 EST
Created attachment 483954 [details]
X server config file (/etc/X11/xorg.conf)

AFAIK confguration was automatically generated; there is also an automatically installed file in /etc/X11/xorg.conf.d/00-system-setup-keyboard.conf with the
the following content :

# This file is autogenerated by system-setup-keyboard. Any 
# modifications will be lost.

Section "InputClass"
	Identifier	"system-setup-keyboard"
	MatchIsKeyboard	"on"
#	Option		"XkbModel"	"(null)"
#	Option		"XkbLayout"	"(null)"
#	Option		"XkbVariant"	"(null)"
	Option		"XkbOptions"	"terminate:ctrl_alt_bksp,"
EndSection
Comment 15 Arenas Belon, Carlo Marcelo 2011-03-13 01:49:54 EST
Created attachment 483955 [details]
X server log file (/var/log/Xorg.*.log)
Comment 16 Arenas Belon, Carlo Marcelo 2011-03-13 01:50:58 EST
Created attachment 483956 [details]
output of the dmesg command
Comment 17 Arenas Belon, Carlo Marcelo 2011-03-13 01:55:17 EST
Created attachment 483957 [details]
system log (/var/log/messages)

truncated to include only the last 2 startups (first without the boot option, second with it)
Comment 18 Arenas Belon, Carlo Marcelo 2011-03-13 03:13:23 EDT
running in F14 x86 (32bit) with all updates installed :

  kernel-2.6.35.11-83.fc14.i686
  xorg-x11-drv-nouveau-0.0.16-11.20100826git065576d.fc14.i686
  mesa-dri-drivers-experimental-7.9-5.fc14.i686
  libdrm-2.4.22-1.fc14.i686

when trying to enable special effects and getting the garbled screen the following messages where reported :

dmesg:

[ 1232.277186] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 3
[ 1232.277812] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 3
[ 1235.234623] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 4
[ 1235.234942] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 4
[ 1235.254120] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 5
[ 1235.254405] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 5
[ 1235.256878] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 4
[ 1235.257501] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 5
[ 1235.263709] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 4
[ 1235.264039] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 4
[ 1235.283289] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 5
[ 1235.283556] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 5
[ 1235.286034] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 4
[ 1235.286789] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 5
[ 1235.964733] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 4
[ 1235.965061] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 4
[ 1236.025317] [drm:drm_mode_getconnector], connector id 7:
[ 1236.025324] [drm:drm_helper_probe_single_connector_modes], VGA-1
[ 1236.129387] [drm] nouveau 0000:00:0d.0: nouveau_connector_native_mode:506 - native mode from preferred
[ 1236.129397] [drm:drm_helper_probe_single_connector_modes], Probed modes for VGA-1
[ 1236.129400] [drm:drm_mode_debug_printmodeline], Modeline 10:"1680x1050" 60 146250 1680 1784 1960 2240 1050 1053 1059 1089 0x48 0x6
[ 1236.129405] [drm:drm_mode_debug_printmodeline], Modeline 17:"1280x1024" 75 135000 1280 1296 1440 1688 1024 1025 1028 1066 0x40 0x5
[ 1236.129409] [drm:drm_mode_debug_printmodeline], Modeline 12:"1280x1024" 60 108000 1280 1328 1440 1688 1024 1025 1028 1066 0x40 0x5
[ 1236.129414] [drm:drm_mode_debug_printmodeline], Modeline 11:"1152x864" 75 108000 1152 1216 1344 1600 864 865 868 900 0x40 0x5
[ 1236.129418] [drm:drm_mode_debug_printmodeline], Modeline 18:"1024x768" 75 78800 1024 1040 1136 1312 768 769 772 800 0x40 0x5
[ 1236.129422] [drm:drm_mode_debug_printmodeline], Modeline 19:"1024x768" 60 65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa
[ 1236.129427] [drm:drm_mode_debug_printmodeline], Modeline 20:"800x600" 75 49500 800 816 896 1056 600 601 604 625 0x40 0x5
[ 1236.129431] [drm:drm_mode_debug_printmodeline], Modeline 13:"800x600" 60 40000 800 840 968 1056 600 601 605 628 0x40 0x5
[ 1236.129435] [drm:drm_mode_debug_printmodeline], Modeline 14:"640x480" 75 31500 640 656 720 840 480 481 484 500 0x40 0xa
[ 1236.129439] [drm:drm_mode_debug_printmodeline], Modeline 15:"640x480" 60 25200 640 656 752 800 480 490 492 525 0x40 0xa
[ 1236.129443] [drm:drm_mode_debug_printmodeline], Modeline 16:"720x400" 70 28320 720 738 846 900 400 412 414 449 0x40 0x6
[ 1236.129462] [drm:drm_mode_getconnector], connector id 7:
[ 1276.538204] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 5
[ 1276.538520] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 5
[ 1276.541240] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 4
[ 1276.566199] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 5
[ 1280.829945] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 3

/var/log/Xorg.0.log

[  1236.128] (II) NOUVEAU(0): EDID for output VGA-1
[  1236.128] (II) NOUVEAU(0): Manufacturer: DEL  Model: d01e  Serial#: 825314381
[  1236.128] (II) NOUVEAU(0): Year: 2008  Week: 33
[  1236.128] (II) NOUVEAU(0): EDID Version: 1.3
[  1236.128] (II) NOUVEAU(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
[  1236.128] (II) NOUVEAU(0): Sync:  Separate
[  1236.128] (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 47  vert.: 30
[  1236.128] (II) NOUVEAU(0): Gamma: 2.20
[  1236.128] (II) NOUVEAU(0): DPMS capabilities: Off; RGB/Color Display
[  1236.128] (II) NOUVEAU(0): Default color space is primary color space
[  1236.128] (II) NOUVEAU(0): First detailed timing is preferred mode
[  1236.128] (II) NOUVEAU(0): redX: 0.648 redY: 0.335   greenX: 0.282 greenY: 0.604
[  1236.128] (II) NOUVEAU(0): blueX: 0.150 blueY: 0.072   whiteX: 0.312 whiteY: 0.328
[  1236.128] (II) NOUVEAU(0): Supported established timings:
[  1236.128] (II) NOUVEAU(0): 720x400@70Hz
[  1236.128] (II) NOUVEAU(0): 640x480@60Hz
[  1236.128] (II) NOUVEAU(0): 640x480@75Hz
[  1236.128] (II) NOUVEAU(0): 800x600@60Hz
[  1236.128] (II) NOUVEAU(0): 800x600@75Hz
[  1236.128] (II) NOUVEAU(0): 1024x768@60Hz
[  1236.128] (II) NOUVEAU(0): 1024x768@75Hz
[  1236.128] (II) NOUVEAU(0): 1280x1024@75Hz
[  1236.128] (II) NOUVEAU(0): Manufacturer's mask: 0
[  1236.128] (II) NOUVEAU(0): Supported standard timings:
[  1236.128] (II) NOUVEAU(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
[  1236.128] (II) NOUVEAU(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
[  1236.128] (II) NOUVEAU(0): Supported detailed timing:
[  1236.128] (II) NOUVEAU(0): clock: 146.2 MHz   Image Size:  473 x 296 mm
[  1236.128] (II) NOUVEAU(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
[  1236.128] (II) NOUVEAU(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0
[  1236.128] (II) NOUVEAU(0): Serial No: F180G88F11LM
[  1236.128] (II) NOUVEAU(0): Ranges: V min: 56 V max: 75 Hz, H min: 30 H max: 83 kHz, PixClock max 165 MHz
[  1236.129] (II) NOUVEAU(0): Monitor name: DELL E2209W
[  1236.129] (II) NOUVEAU(0): EDID (in hex):
[  1236.129] (II) NOUVEAU(0):   00ffffffffffff0010ac1ed04d4c3131
[  1236.129] (II) NOUVEAU(0):   21120103682f1e782e37a0a655489a26
[  1236.129] (II) NOUVEAU(0):   125054a54b00714f8180010101010101
[  1236.129] (II) NOUVEAU(0):   01010101010121399030621a274068b0
[  1236.129] (II) NOUVEAU(0):   3600d9281100001c000000ff00463138
[  1236.129] (II) NOUVEAU(0):   304738384631314c4d0a000000fd0038
[  1236.129] (II) NOUVEAU(0):   4b1e5310000a202020202020000000fc
[  1236.129] (II) NOUVEAU(0):   0044454c4c204532323039570a20008e
[  1236.129] (II) NOUVEAU(0): EDID vendor "DEL", prod id 53278
[  1236.129] (II) NOUVEAU(0): Using hsync ranges from config file
[  1236.129] (II) NOUVEAU(0): Using vrefresh ranges from config file
[  1236.129] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[  1236.129] (II) NOUVEAU(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[  1236.129] (II) NOUVEAU(0): Printing probed modes for output VGA-1
[  1236.129] (II) NOUVEAU(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
[  1236.129] (II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)

/var/log/messages:

Mar 12 22:55:30 inspiron kernel: [ 1232.277186] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 3
Mar 12 22:55:30 inspiron kernel: [ 1232.277812] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 3
Mar 12 22:55:33 inspiron kernel: [ 1235.234623] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 4
Mar 12 22:55:33 inspiron kernel: [ 1235.234942] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 4
Mar 12 22:55:33 inspiron kernel: [ 1235.254120] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 5
Mar 12 22:55:33 inspiron kernel: [ 1235.254405] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 5
Mar 12 22:55:33 inspiron kernel: [ 1235.256878] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 4
Mar 12 22:55:33 inspiron kernel: [ 1235.257501] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 5
Mar 12 22:55:33 inspiron kernel: [ 1235.263709] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 4
Mar 12 22:55:33 inspiron kernel: [ 1235.264039] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 4
Mar 12 22:55:33 inspiron kernel: [ 1235.283289] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 5
Mar 12 22:55:33 inspiron kernel: [ 1235.283556] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 5
Mar 12 22:55:33 inspiron kernel: [ 1235.286034] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 4
Mar 12 22:55:33 inspiron kernel: [ 1235.286789] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 5
Mar 12 22:55:34 inspiron kernel: [ 1235.964733] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 4
Mar 12 22:55:34 inspiron kernel: [ 1235.965061] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 4
Mar 12 22:56:15 inspiron kernel: [ 1276.538204] [drm] nouveau 0000:00:0d.0: Allocating FIFO number 5
Mar 12 22:56:15 inspiron kernel: [ 1276.538520] [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 5
Mar 12 22:56:15 inspiron kernel: [ 1276.541240] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 4
Mar 12 22:56:15 inspiron kernel: [ 1276.566199] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 5
Mar 12 22:56:19 inspiron kernel: [ 1280.829945] [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 3
Comment 19 Arenas Belon, Carlo Marcelo 2011-05-08 11:17:08 EDT
(In reply to comment #13)
> (In reply to comment #11)
> > Well, it looks like it's working with the graphics test week image
> > (gfx_test_week_20110221_x86-64.iso).  I was able to boot up and log in without
> > issue, glxgears looked normal, windows had drop shadows, and glxinfo said I had
> > direct rendering.  I guess I'll let others chime in, but I think this is at
> > least fixed in F15.
> 
> I haven't had that much luck with f15 as you did.  I had crashes and wasn't
> able
> to work with accelerated video eventhough I had to admit that at least didn't
> saw the garbled output when using the x86-64 test iso either as you reported,
> but can still reproduce the problem with fedora 15 alpha install CD.

mostly not seeing garbled output with fedora 15 beta (currently running), but still not able to use the desktop (shell desktop is unusable as there is working
menu, while classic works but doesn't erase content after window or menu is moved)
Comment 20 Arenas Belon, Carlo Marcelo 2011-05-08 11:27:57 EDT
Created attachment 497646 [details]
fedora 15 beta with all updates installed running a gnome classic (compiz enabled) desktop

screen will eventually garble if switching between applications or sessions though, and so would assume that the root cause of the problem is still there, indeed I haven't been able to copy and paste from an xterm the specific versions to attach into this bug without being unable to garble my screen enough not to be able to see the submit button.
Comment 21 Arenas Belon, Carlo Marcelo 2011-05-08 18:22:41 EDT
using a different window manager without compiz the following is observed in the tty where X starts (running a kernel with drm.debug=0x04)

  [    1.096724] [drm] nouveau 0000:00:0d.0: ======= misaligned reg 0x0060081D  =======
  [    1.096757] [drm] nouveau 0000:00:0d.0: ======= misaligned reg 0x0060081D =======
  [    1.132925] [drm] nouveau 0000:00:0d.0: unknown connector type: 0xff!!

packages in use :

  kernel-2.6.38.5-24.fc15.i686
  xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.i686
  mesa-dri-drivers-7.11-0.8.20110506.0.fc15.i686
  libdrm-2.4.25-1.fc15.i686

is there anything else that I could provide to help debug this issue?, it would be a showstopper for fedora 15 in this hardware, unless compiz could be disabled.
Comment 22 Jeff Morriss 2011-08-17 21:58:06 EDT
(In reply to comment #21)
> is there anything else that I could provide to help debug this issue?, it would
> be a showstopper for fedora 15 in this hardware, unless compiz could be
> disabled.

Ouch, yes.  Just upgraded to FC 15 and hit the "GNOME hangs while logging in" problem.  I noticed these misaligned reg errors in the boot sequence which brought me here.

Here's another bug tracking it, but no movement in a long time:

https://bugs.freedesktop.org/show_bug.cgi?id=27680

Thank you(!), Carlo Marcelo, for pointing to disabling compiz as a workaround.  I did that by creating /etc/X11/xorg.conf with these contents:

Section "Extensions"
	Option "Composite" "false"
EndSection

Now I can log in (to GNOME)!

Of course my GNOME looks very different than all the tutorials I find and as a result I'm having a very hard time finding my way around (all I want is one-click shortcuts to start the 4 apps I ever run!).  Anyway, this doc:

https://docs.fedoraproject.org/en-US/Fedora/15/html/Release_Notes/sect-Release_Notes-Changes_for_Desktop_Users.html

indicates that GNOME3 requires 3D acceleration which I'm guessing I'm losing because of this bug.  <sigh>

Maybe I need to try the proprietary drivers again...
Comment 23 Ben Skeggs 2011-08-18 18:22:19 EDT
(In reply to comment #22)
> (In reply to comment #21)
> > is there anything else that I could provide to help debug this issue?, it would
> > be a showstopper for fedora 15 in this hardware, unless compiz could be
> > disabled.
> 
> Ouch, yes.  Just upgraded to FC 15 and hit the "GNOME hangs while logging in"
> problem.  I noticed these misaligned reg errors in the boot sequence which
> brought me here.
> 
> Here's another bug tracking it, but no movement in a long time:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=27680
I doubt this is a problem, merely our vbios parser being somewhat paranoid.  To rule that out completely, someone seeing these messages would need to send us a trace of the binary driver initialising that card from scratch.. Which, you'd have to trigger by suspend/resume with no driver loaded, then over ssh start X with the binary driver which mmiotrace is running.

Anyway, if the "misaligned reg" messages are in any way related I'll eat my hat.  But, I would like to get rid of them anyway, so if you want to send a trace... :)

You mention "GNOME hangs while logging in" as if it should be a well known issue.  Can you enlighten me please, and give some evidence (dmesg output, X log) that nouveau is responsible?
Comment 24 Ben Skeggs 2011-08-18 18:22:55 EDT
Perhaps as a separate bug too, completely different stack to what's in F14.
Comment 25 Fedora End Of Life 2012-08-16 13:37:24 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.